html, 
body {
    font-size: 10px;
}

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    scroll-behavior: smooth;
}

h5 {
    margin: 0;
}

::-webkit-scrollbar {
    width: 0.6rem;
}
::-webkit-scrollbar-track {
    background-color: #0F0F11;
}
::-webkit-scrollbar-thumb {
    background-color: #E6ECF0; 
    border-radius: 1.5rem;
    transition: 0.3s;
}

.home-page {
    width: 100%;
    min-height: 100vh;
    display: flex;
    background-color: #0F0F11;
}

/*-- NAVBAR --*/
header {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-end;
    border-right: 1px solid #1C1C1C;
}

header > nav {
    position: fixed;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    color: white;
    font-size: 3.5rem;
}

header > nav > * {
    padding: 2rem;
    transition: color 0.3s ease-out;
}

header > nav > .logo {
    font-size: 5rem;
    color: rgba(0, 173, 255 , 1); 
}

header > nav > *:not(:last-child):hover {
    color: rgba(0, 173, 255 , 1); 
}

header > nav > .profile-container {
    display: flex;
    justify-content: center;
}

header > nav > .profile-container > .profile {
    width: 7rem;
    height: 7rem;
    background-color: white;
    border: 1px solid #979797;
    border-radius: 50%;
}

header > nav > .profile-container > .profile,
header > nav i {
    /* cursor: pointer; */
}

/*-- MAIN --*/
main {
    flex: 4;
    display: flex;
}

main > .main-content-container {
    flex: 1;
}

main > .main-content-container >.search-container {
    margin: 2rem;
    padding: 1rem;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #979797;
    color: white;
    font-size: 3rem;
}

main > .main-content-container >.search-container > input {
    flex: 1;
    padding: 0 1rem ;
    border: none;
    outline: none;
    color: white;
    font-size: 3rem;
    background-color: transparent;
}

main > .main-content-container >.search-container > i {
    transition: 0.3s;
    cursor: pointer;
}

main > .main-content-container >.search-container:hover > i {
    transform: rotateY(360deg);
    color: rgba(0, 173, 255 , 1);
}

main > .main-content-container >.search-container > input:focus + i {
    transform: rotateY(360deg);
    color: rgba(0, 173, 255 , 1);
}

main > .main-content-container > .tweets-list-container {
    margin: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

main > .main-content-container > .tweets-list-container > .tweets-welcome-message {
    margin: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: rgba(0, 173, 255 , 1);
    font-size: 1.8rem;
}

main > .main-content-container > .tweets-list-container > .tweets-welcome-message > p {
    font-size: 1.2rem;
}

main > .main-content-container > .next-page-container {
    margin: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 2.4rem;
    visibility: hidden;
}

main > .main-content-container > .next-page-container > i {
    transition: 0.3s;
    cursor: pointer;
}

main > .main-content-container > .next-page-container > i:hover {
    color: rgba(0, 173, 255 , 1);
}

/*-- SIDEBAR --*/
main > .sidebar-container {
    flex: 1;
    display: flex;
    justify-content: flex-start;
}

main > .sidebar-container > .hashtag-container {
    position: fixed;
    width: 30rem;
    height: 50rem;
    margin: 2rem;
    background-color: #F5F8FA;
    border-radius: 1.5rem;
    overflow: hidden;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending {
    height: inherit;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending > h5 {
    padding: 2rem;
    align-self: flex-start;
    font-size: 2.4rem;
    font-weight: bold;
    color: #1C1C1C;
    cursor: default;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending > ul {
    flex: 1;
    padding: 0;
    margin: 0;
    font-size: 2.4rem;
    font-style: italic;
    font-weight: 100;
    color: #848586;
    list-style: none;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending > ul > * {
    flex: 1;
    padding: 1rem 4rem;
    display: flex;
    align-items: center;
    border-top: 1px solid #E6ECF0;
    transition: 0.3s;
    cursor: pointer;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending > ul > *:hover {
    background-color: #EDF0F2 ;
}

main > .sidebar-container > .hashtag-container > .hashtag-trending > ul > li:last-child {
    border-bottom: 1px solid #E6ECF0;
}